curl -X PATCH https://okl.ink/api/v1/pages/cly1019283749 \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"title": "My Project Hub v2",
"description": "Updated project links and live release."
}'
{
"id": "cly1019283749",
"slug": "my-project-hub"
}
Pages
Update Page
Modify title, description, slug, creator name, or cover image for an existing page.
PATCH
/
api
/
v1
/
pages
/
{id}
curl -X PATCH https://okl.ink/api/v1/pages/cly1019283749 \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"title": "My Project Hub v2",
"description": "Updated project links and live release."
}'
{
"id": "cly1019283749",
"slug": "my-project-hub"
}
Update Page
Updates metadata fields on an existing page. Requirespages:write scope.
Headers
string
required
Bearer token with
pages:write scope.Path Parameters
string
required
The unique project ID.
Request Body
string
Updated title.
string
Updated description.
string
Updated URL slug. Must be unique across all pages.
string
Updated cover image URL (or null to remove).
string
Updated creator name.
Response
string
The project ID.
string
The updated URL slug.
curl -X PATCH https://okl.ink/api/v1/pages/cly1019283749 \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"title": "My Project Hub v2",
"description": "Updated project links and live release."
}'
{
"id": "cly1019283749",
"slug": "my-project-hub"
}